Get information about tasks currently running in the cluster. IMPORTANT: cat APIs are only intended for human consumption using the command line or Kibana console. They are not intended for use by applications. For application consumption, use the task management API.
Required authorization
- Cluster privileges:
monitor
Query parameters
-
The task action names, which are used to limit the response.
-
If
true, the response includes detailed information about shard recoveries.Default value is
false. -
Unique node identifiers, which are used to limit the response.
-
The parent task identifier, which is used to limit the response.
-
A comma-separated list of columns names to display. It supports simple wildcards.
Supported values include:
id: The ID of the task with the node.action(orac): The task action.task_id(orti): The unique task ID.parent_task_id(orpti): The parent task ID.type(orty): The task type.start_time(orstart): The start time in milliseconds.timestamp(orts,hms,hhmmss): The start time in HH:MM:SS.running_time_ns(ortime): The running time in nanoseconds.running_time(ortime): The running time.node_id(orni): The unique node ID.ip(ori): The IP address.port(orpo): The bound transport port.node(orn): The node name.version(orv): The Elasticsearch version.x_opaque_id(orx): The X-Opaque-ID header.
Values are
id,action,ac,task_id,ti,parent_task_id,pti,type,ty,start_time,start,timestamp,ts,hms,hhmmss,running_time_ns,time,running_time,node_id,ni,ip,i,port,po,node,n,version,v,x_opaque_id, orx. -
List of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting
:ascor:descas a suffix to the column name. -
Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
Default value is
30s. -
If
true, the request blocks until the task has completed.Default value is
false. -
Specifies the format to return the columnar data in, can be set to
text,json,cbor,yaml, orsmile.Default value is
text. -
When set to
truewill output available columns. This option can't be combined with any other query string option.Default value is
false. -
When set to
truewill enable verbose output.Default value is
false. -
Sets the units for columns that contain a byte-size value. Note that byte-size value units work in terms of powers of 1024. For instance
1kbmeans 1024 bytes, not 1000 bytes. If omitted, byte-size values are rendered with a suffix such askb,mb, orgb, chosen such that the numeric value of the column is as small as possible whilst still being at least1.0. If given, byte-size values are rendered as an integer with no suffix, representing the value of the column in the chosen unit. Values that are not an exact multiple of the chosen unit are rounded down.Values are
b,kb,mb,gb,tb, orpb. -
Sets the units for columns that contain a time duration. If omitted, time duration values are rendered with a suffix such as
ms,s,morh, chosen such that the numeric value of the column is as small as possible whilst still being at least1.0. If given, time duration values are rendered as an integer with no suffix. Values that are not an exact multiple of the chosen unit are rounded down.Values are
nanos,micros,ms,s,m,h, ord.
GET _cat/tasks?v=true&format=json
resp = client.cat.tasks(
v=True,
format="json",
)
const response = await client.cat.tasks({
v: "true",
format: "json",
});
response = client.cat.tasks(
v: "true",
format: "json"
)
$resp = $client->cat()->tasks([
"v" => "true",
"format" => "json",
]);
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_cat/tasks?v=true&format=json"
client.cat().tasks(t -> t);
[
{
"action": "cluster:monitor/tasks/lists[n]",
"task_id": "oTUltX4IQMOUUVeiohTt8A:124",
"parent_task_id": "oTUltX4IQMOUUVeiohTt8A:123",
"type": "direct",
"start_time": "1458585884904",
"timestamp": "01:48:24",
"running_time": "44.1micros",
"ip": "127.0.0.1:9300",
"node": "oTUltX4IQMOUUVeiohTt8A"
},
{
"action": "cluster:monitor/tasks/lists",
"task_id": "oTUltX4IQMOUUVeiohTt8A:123",
"parent_task_id": "-",
"type": "transport",
"start_time": "1458585884904",
"timestamp": "01:48:24",
"running_time": "186.2micros",
"ip": "127.0.0.1:9300",
"node": "oTUltX4IQMOUUVeiohTt8A"
}
]